<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/layout"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <LinearLayout
        android:id="@+id/ll_web"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <WebView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:id="@+id/webview"/>
    </LinearLayout>

    <LinearLayout
        android:visibility="gone"
        android:id="@+id/ll_nonet"
        android:background="@color/white"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <ImageView
            android:layout_marginTop="150dp"
            android:layout_gravity="center_horizontal"
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:src="@mipmap/nowifi"/>

        <TextView
            android:textColor="#000000"
            android:textSize="16sp"
            android:layout_gravity="center_horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂无网络"/>

        <Button
            android:id="@+id/bt_ref"
            android:layout_marginTop="10dp"
            android:layout_gravity="center_horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="刷新"/>
    </LinearLayout>

    <Button
        android:id="@+id/print"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="打印"
        android:visibility="gone"/>

    <Button
        android:id="@+id/connect"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/print"
        android:text="连接"
        android:layout_marginTop="20dp"
        android:visibility="gone"/>

    <Button
        android:id="@+id/connect2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/connect"
        android:text="连接灯"
        android:layout_marginTop="20dp"
        android:visibility="gone"/>

    <Button
        android:id="@+id/light"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/connect2"
        android:text="打开灯"
        android:layout_marginTop="20dp"
        android:visibility="gone"/>

    <Button
        android:id="@+id/closeLight"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/light"
        android:text="关闭灯"
        android:layout_marginTop="20dp"
        android:visibility="gone"/>

    <Button
        android:id="@+id/take_photo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/print"
        android:text="拍照"
        android:visibility="gone"/>

    <Button
        android:id="@+id/start_scan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/take_photo"
        android:text="打开扫码头"
        android:visibility="gone"/>

    <Button
        android:id="@+id/close_scan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/start_scan"
        android:text="关闭扫码头"
        android:visibility="gone"/>
</androidx.constraintlayout.widget.ConstraintLayout>